/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Reservation;

/**
 * Hotel Deepsleep project 2009
 * @author Wanling ,Grace,Sandeep,Jack
 * Roskilde Business College
 */
import java.sql.Date.*;
import java.util.*;

public class Reservation extends Random {

    String guestName;
    java.sql.Date reservationDate, dateTo, dateFrom;
    int reservationNo, roomNo;
    CalendarCalculator cc;
    Random rand = new Random();

    public Reservation() {
     // CalendarCalcultor cc = new CalendarCalculator();
        reservationDate = cc.getResDate();
        reservationNo = rand.nextInt(9001);
    }

    public Reservation(String guestName, int roomNo, int reservationNo) {
        this.guestName = guestName;
        this.roomNo = roomNo;
        this.reservationNo = reservationNo;
    }

    public Reservation(String guestName, int roomNo, int reservationNo,
                       java.sql.Date reservationDate) {
        this.guestName = guestName;
        this.roomNo = roomNo;
        this.reservationNo = reservationNo;
        this.reservationDate = reservationDate;
    }

    public Reservation(String guestName, int roomNo, int reservationNo,
                       java.sql.Date reservationDate, java.sql.Date dateFrom,
                       java.sql.Date dateTo) {
        this.guestName = guestName;
        this.roomNo = roomNo;
        this.reservationNo = reservationNo;
        this.reservationDate = reservationDate;
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
    }

    public Reservation(String guestName, int roomNo,
                       java.sql.Date reservationDate, java.sql.Date dateFrom,
                       java.sql.Date dateTo) {
        this.guestName = guestName;
        this.roomNo = roomNo;
        this.reservationNo = rand.nextInt(9001);
        this.reservationDate = reservationDate;
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
    }

    public Reservation(String guestName, int roomNo,java.sql.Date dateFrom,
                       java.sql.Date dateTo) {
        this.guestName = guestName;
        this.roomNo = roomNo;
        this.reservationNo = rand.nextInt(9001);
        this.reservationDate = cc.getResDate();
        this.dateFrom = dateFrom;
        this.dateTo = dateTo;
    }

    public String getGuestName() {
        return guestName;
    }

    public void setGuestName(String guestName) {
        this.guestName = guestName;
    }

    public int getRoomNo() {
        return roomNo;
    }

    public void setRoomNo(int roomNo) {
        this.roomNo = roomNo;
    }

    public java.sql.Date getReservationDate() {
        return reservationDate;
    }

    public void setReservationDate(java.sql.Date reservationDate) {
        this.reservationDate = reservationDate;
    }

    public int getReservationNo() {
        return reservationNo;
    }

    public void setReservstionNo(int reservationNo) {
        this.reservationNo = reservationNo;
    }

    public java.sql.Date getDateFrom() {
        return dateFrom;
    }

    public void setDateFrom(java.sql.Date dateFrom) {
        this.dateFrom = dateFrom;
    }

    public java.sql.Date getDateTo() {
        return dateTo;
    }

    public void setDateTo(java.sql.Date dateTo) {
        this.dateTo = dateTo;
    }

    public String reservationData() {
        return ("\n" + "Name Of Guest:" + guestName +
                "\n" + "RoomNo:HDS" + roomNo +
                "\n" + "ReservationNo:HDS" + reservationNo +
                "\n" + "Date Of Reservation:" + reservationDate +
                "\n" + "Arrival Date:" + dateFrom +
                "\n" + "Departure Date:" + dateTo +
                "\n");
    }

    public static void main(String[] args) {
        CalendarCalculator cal = new CalendarCalculator();
        Reservation res1 = new Reservation("Sandeep", 101,  cal.getResDate(),
                                           java.sql.Date.valueOf("2009-05-02"),
                                           java.sql.Date.valueOf("2009-05-05"));
        Reservation res2 = new Reservation("Jack", 102, 65);
        Reservation res3 = new Reservation("Grace", 103, 66,cal.getResDate());
        Reservation res4 = new Reservation("Wanling", 104, 67,cal.getResDate(),
                                           java.sql.Date.valueOf("2009-05-03"),
                                           java.sql.Date.valueOf("2009-05-06"));

        System.out.println(res1.reservationData());
        System.out.println(res2.reservationData());
        System.out.println(res3.reservationData());
        System.out.println(res4.reservationData());
    }
}
