/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package guest;

/**
 *
 * @author S
 */
public class GuestAdministration {

    GuestCatalog guestCat;

    public GuestAdministration() {
        guestCat = new GuestCatalog();
    }

    public GuestAdministration(GuestCatalog guestCat) {
        this.guestCat = guestCat;
    }

    public GuestCatalog getCatalog() {
        return guestCat;
    }

    public boolean registerGuest(int resNo, String idNo,String name, String address, int zipcode, String city,
            String country, String passportNo, String phoneNo, String email) {

        guestCat.registerGuest(resNo,idNo,name, address, zipcode, city, country, passportNo, phoneNo, email);
        return true;

    }

 

   

    public Guest getGuest(int guestNo) {
        return guestCat.getGuest(guestNo);
    }

    

    public boolean removeGuest(int guestNo) {
        return guestCat.removeGuest(guestNo);
    }
   
   public Guest getGuest(String guestName) {
       return guestCat.getGuest(guestName);
    }

    public String allGuestsData() {
        return guestCat.allGuestsData();
    }

    public int getNumbers() {
        return guestCat.numberOfGuests();
    }

    public static void main(String[] args) {
        GuestAdministration guestHandler = new GuestAdministration();

        guestHandler.registerGuest(0,"7777-3132", "Sandeep", " 44 købensvej",4000,
                                   "Roskilde", "Denmark", null, "28967546",
                                   "Sandeep_gyan@yahoo.com");
        guestHandler.registerGuest(0,null,"Jack", "shiyou street", 116031, "Dalian", "China", "1", "51167489", "don1239987@163.com");

        System.out.println(guestHandler.allGuestsData());
    }

    
}
