/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hdsdatabase;

import Reservation.Reservation;
import Reservation.ReservationCatalog;
import java.sql.*;
import Room.*;
import java.sql.Date.*;
import java.util.logging.Level;
import java.util.logging.Logger;
/**
 *
 * @author admin
 */
public class ReservationSQL extends DMC_Connector {
    Reservation r;
    public ReservationSQL() {
        r=new Reservation();
    }

    public boolean registerReservationDB(int guestNo, int roomNo,
                                 java.sql.Date dateFrom,java.sql.Date dateTo) {
        
      
  
      
        java.sql.Date resDate = r.getReservationDate();
int resNo=this.nextResNo();
          Reservation res = new Reservation(resNo,guestNo, roomNo,
                                         dateFrom, dateTo, resDate);
          connector();
        try{
        String insert = "insert into reservation values(?,?,?,?,?,?)";
        PreparedStatement prep = con.prepareStatement(insert);

        prep.setInt(1,resNo);
        prep.setInt(2, res.getGuestNo());
        prep.setInt(3, res.getRoomNo());
        prep.setDate(4, res.getDateFrom());
        prep.setDate(5, res.getDateTo());
        prep.setDate(6, res.getReservationDate());

        prep.executeUpdate();
        }catch(SQLException ex){
            System.err.println(ex.getMessage());
          
        }
        closing();
        return true;
    }

    public Reservation getReservationDB(int aReservationNo){
        int reservationNo,guestNo,roomNo;
        java.sql.Date dateFrom, dateTo,reservationDate;
        Reservation res = null;
        connector();
        String resSelect="Select*from resevation where reservationNo = " + "\'" + aReservationNo + "\'";
    try{
        ResultSet rs = stmt.executeQuery(resSelect);
        if(rs.next()){
            reservationNo = rs.getInt(1);
            guestNo = rs.getInt(2);
            roomNo = rs.getInt(3);
            dateFrom = rs.getDate(4);
            dateTo = rs.getDate(5);
            reservationDate = rs.getDate(6);

            res = new Reservation(reservationNo,guestNo,roomNo,dateFrom,dateTo,reservationDate);
        }
      } catch (SQLException ex) {
            System.err.println(ex.getMessage());
            closing();
        }
        closing();
        return res;
        }

    public String searchRoomDB(String types, String category, java.sql.Date dateFrom,java.sql.Date dateTo){
        int roomNo=0;
      
        RoomCatalog list=new RoomCatalog();
        Room ro=null;
        String status,views;
        Double price;
        
        connector();

        String roomSelect="select * from room r,reservation res " +
                "where res.datefrom =" + "\'" + dateFrom + "\'" +
                          "and res.dateto = " + "\'"+dateTo +  "\'"+
                          "and r.roomNo=res.roomNo " +
                          "and r.types like" + "\'" + types + "\'" +
                          "and r.category like"+ "\'" + category + "\'";
    try{

        ResultSet rs = stmt.executeQuery(roomSelect);
      if(rs.next()){
          roomNo = rs.getInt(1);
           types = rs.getString(2);
            category = rs.getString(3);
             status = rs.getString(4);
         price =rs.getDouble(5);
            views = rs.getString(6);

            ro = new Room(roomNo,types,category,status,price,views);
           list.addRoom(ro);
        }
      } catch (SQLException ex) {
            System.err.println(ex.getMessage());
           
        }
        closing();
       return list.allRoomsData();
        }



   public Reservation removeReservationDB(int aReservationNo){
       Reservation res = getReservationDB(aReservationNo);
       if(res!= null){
           connector();
         try{
           String resRemove = "delete from reservation where reservationNo = " + "\'" + aReservationNo + "\'";
           stmt.executeUpdate(resRemove);
         }catch (SQLException ex) {
                System.err.println(ex.getMessage());
                closing();
        }
       }
       closing();
           return res;
   }

   public int noOfReservation(){
       int no = 0;
       connector();

       try{
           String reservationQuery = "select count(reservationNo) from reservation";
           ResultSet rs = stmt.executeQuery(reservationQuery);
           if(rs.next()){
               no = rs.getInt(1);
           }
           }catch (SQLException ex) {
                System.err.println(ex.getMessage());
                closing();
       }
       closing();
       return no;
   }

   public String allReservationDataDB(){
        int reservationNo,guestNo,roomNo;
        java.sql.Date dateFrom,dateTo,reservationDate;
        Reservation res;
      ReservationCatalog resCat=new ReservationCatalog();
        connector();

        String resSelect = "select * from Reservation";
        try {
            ResultSet rs = stmt.executeQuery(resSelect);
            while (rs.next()) {
                reservationNo = rs.getInt(1);
                guestNo = rs.getInt(2);
                roomNo = rs.getInt(3);
                dateFrom = rs.getDate(4);
                dateTo = rs.getDate(5);
                reservationDate = rs.getDate(6);

                res = new Reservation(reservationNo, guestNo, roomNo, dateFrom, dateTo,reservationDate);
                resCat.addReservation(res);
            }
        } catch (SQLException ex) {
            System.err.println(ex.getMessage());
          
        }
        closing();
     return resCat.allReservationsData();
    }
   public int nextResNo(){
        int last = 0;
        connector();
        try {


            String lastquery = "select max (reservationNo) from reservation";
            ResultSet rs = stmt.executeQuery(lastquery);
            if (rs.next()) {
                last = rs.getInt(1);
            }
        } catch (SQLException ex) {
            Logger.getLogger(ReservationSQL.class.getName()).log(Level.SEVERE, null, ex);
        }
        int next=last+1;
        return next;
   }

   


}


    

