/*
 * ReservationGUI.java
 *
 * Created on 28. april 2009, 11:54
 */
package hdsdatabase;



import Reservation.CalendarCalculator;
import Reservation.Reservation;
import Reservation.ReservationAdministration;
import Reservation.ReservationCatalog;
import javax.swing.JOptionPane;
import java.sql.Date.*;

/**
 *
 * @author  admin
 */
public class ReservationGUI extends javax.swing.JFrame {

    Reservation r;
    ReservationAdministration reservationHandler;
    CalendarCalculator cc;
     ReservationAdministrationDB reservationHandlerDB;

    /** Creates new form ReservationGUI */
    public ReservationGUI() {
        initComponents();
        reservationHandler = new ReservationAdministration();
        reservationHandlerDB = new ReservationAdministrationDB();

    }

    public ReservationGUI(ReservationCatalog reservationCat) {
        initComponents();
        reservationHandler = new ReservationAdministration(reservationCat);
    }

    public ReservationGUI(ReservationAdministration reservationHandler) {
        initComponents();
        this.reservationHandler = reservationHandler;
    }

    public void registerReservation() {
       Object[] possibleValues = {"Single", "Double", "Family"};
        String type = (String) JOptionPane.showInputDialog(null, "Choose Type of Room single/double/family", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[1]);

        Object[] possibleValuess = {"VIP", "Normal"};
        String category = (String) JOptionPane.showInputDialog(null, "Choose Category of Room VIP/Normal", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValuess, possibleValuess[1]);
String dateFromStr = JOptionPane.showInputDialog("enter dateFrom");
        java.sql.Date dateFrom = java.sql.Date.valueOf(dateFromStr);

        String dateToStr = JOptionPane.showInputDialog("enter date to");
        java.sql.Date dateTo = java.sql.Date.valueOf(dateToStr);
     int roomNumber=  reservationHandler.searchRoom(type, category, dateTo, dateFrom);
    if (roomNumber!=0){   
    jTextArea1.append(""+roomNumber);
       String guestName = JOptionPane.showInputDialog("enter name of guest"); 
    String roomNostr = JOptionPane.showInputDialog("enter roomNo");
        int roomNo = Integer.parseInt(roomNostr);

        String dateFromStr1 = JOptionPane.showInputDialog("enter dateFrom");
        java.sql.Date dateFrom1 = java.sql.Date.valueOf(dateFromStr1);

        String dateToStr1 = JOptionPane.showInputDialog("enter date to");
        java.sql.Date dateTo1 = java.sql.Date.valueOf(dateToStr1);

        reservationHandler.registerReservation(guestName,roomNo,dateFrom1,dateTo1);
        showAllReservation();
    }else{
         jTextArea1.append("room is not availabel between those dates");
    }
        
    }
public void registerReservationDB() {
//       Object[] possibleValues = {"Single", "Double", "Family"};
//        String type = (String) JOptionPane.showInputDialog(null, "Choose Type of Room single/double/family", "Input",
//                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[1]);
//
//        Object[] possibleValuess = {"VIP", "Normal"};
//        String category = (String) JOptionPane.showInputDialog(null, "Choose Category of Room VIP/Normal", "Input",
//                JOptionPane.QUESTION_MESSAGE, null, possibleValuess, possibleValuess[1]);
//String dateFromStr = JOptionPane.showInputDialog("enter dateFrom");
//        java.sql.Date dateFrom = java.sql.Date.valueOf(dateFromStr);
//
//        String dateToStr = JOptionPane.showInputDialog("enter date to");
//        java.sql.Date dateTo = java.sql.Date.valueOf(dateToStr);
     //String roomNumber=  reservationHandlerDB.searchRoomDB(type, category, dateFrom, dateTo);
  
    //jTextArea1.append(""+roomNumber);
       //String guestName = JOptionPane.showInputDialog("enter name of guest");
    String roomNostr = JOptionPane.showInputDialog("enter roomNo");
        int roomNo = Integer.parseInt(roomNostr);
        String guestNostr = JOptionPane.showInputDialog("enter guestNo");
        int guestNo = Integer.parseInt(guestNostr);

        String dateFromStr1 = JOptionPane.showInputDialog("enter dateFrom");
        java.sql.Date dateFrom = java.sql.Date.valueOf(dateFromStr1);

        String dateToStr1 = JOptionPane.showInputDialog("enter date to");
        java.sql.Date dateTo = java.sql.Date.valueOf(dateToStr1);

        reservationHandlerDB.registerReservationDB(guestNo,roomNo,dateFrom,dateTo);
        showAllReservation();

         jTextArea1.append("room registered");
   

    }

    private void showReservation() {
        jTextArea1.append(r.reservationData());
    }

    private void showAllReservation() {
        jTextArea1.append(reservationHandler.allReservationsData());
    }
  private void showAllReservationDB() {
        jTextArea1.append(reservationHandlerDB.allReservationDataDB());
    }

    private void searchReservation() {

        String reservationNostr = JOptionPane.showInputDialog("enter reservationNo");
        int reservationNo = Integer.parseInt(reservationNostr);
        r = reservationHandler.getReservation(reservationNo);
        if (r != null) {
            jTextArea1.append(r.reservationData());
        } else {
            jTextArea1.append("reservation not found");
        }

    }
    
    private void searchReservationDB() {

        String reservationNostr = JOptionPane.showInputDialog("enter reservationNo");
        int reservationNo = Integer.parseInt(reservationNostr);
        r = reservationHandlerDB.getReservationDB(reservationNo);
        if (r != null) {
            jTextArea1.append(r.reservationData());
        } else {
            jTextArea1.append("reservation not found");
        }

    }


    private void searchReservation1() {
        String guestName = JOptionPane.showInputDialog("Enter name of guest");
        
        String resDateStr = JOptionPane.showInputDialog("Enter reservation date:");
        java.sql.Date resDate = java.sql.Date.valueOf(resDateStr);
        
        r = reservationHandler.getReservation(guestName, resDate);

        if (r != null) {
            jTextArea1.append(r.reservationData());
        } else {
            jTextArea1.append("reservation not found");
        }
    }

    public void deleteReservation() {
        String reservationNostr = JOptionPane.showInputDialog("Enter reservationNo");
        int reservationNo = Integer.parseInt(reservationNostr);
        searchReservation();
        if (r != null) {
            reservationHandler.removeReservation(reservationNo);
            jTextArea1.append(r.reservationData());
            jTextArea1.append("reservation deleted");
        } else {
            jTextArea1.append("reservation not found");
        }

    }
       public void deleteReservationDB() {
        String reservationNostr = JOptionPane.showInputDialog("Enter reservationNo");
        int reservationNo = Integer.parseInt(reservationNostr);
       
       
            reservationHandlerDB.removeReservationDB(reservationNo);
           
            jTextArea1.append("reservation deleted");
    
            
       

    }

    public void close() {
        this.dispose();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextArea1 = new javax.swing.JTextArea();
        jButton1 = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jButton5 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jTextArea1.setColumns(20);
        jTextArea1.setRows(5);
        jScrollPane1.setViewportView(jTextArea1);

        jButton1.setText("Register Reservation");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jButton2.setText("ShowAllReservation");
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setText("Search Reservation");
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jButton4.setText("Cancel Reservation");
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        jButton5.setText("Lost Reservation");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        jButton6.setText("Finish");
        jButton6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton6ActionPerformed(evt);
            }
        });

        jButton7.setText("Help");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                            .addComponent(jButton1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton5, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton3, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jButton2, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 185, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jButton7)
                            .addComponent(jButton6)))
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 381, Short.MAX_VALUE))
                .addGap(112, 112, 112))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 122, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButton1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton4)
                    .addComponent(jButton6))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton5)
                    .addComponent(jButton7))
                .addContainerGap())
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 300, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
        // TODO add your handling code here:
        searchReservationDB();
    }//GEN-LAST:event_jButton3ActionPerformed

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        // TODO add your handling code here:
        registerReservationDB();
    }//GEN-LAST:event_jButton1ActionPerformed

    private void jButton6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton6ActionPerformed
        // TODO add your handling code here:
        close();
    }//GEN-LAST:event_jButton6ActionPerformed

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
        // TODO add your handling code here:
        showAllReservationDB();
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        // TODO add your handling code here:
        searchReservation1();
    }//GEN-LAST:event_jButton5ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
        // TODO add your handling code here:
        deleteReservationDB();
    }//GEN-LAST:event_jButton4ActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new ReservationGUI().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTextArea1;
    // End of variables declaration//GEN-END:variables
}
