/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Reservation;
import guest.*;
import Room.*;
/**
 *Hotel Deepsleep project 2009
 * @author Wanling ,Grace,Sandeep,Jack
 * Roskilde Business College
 */
public class ReservationAdministration {

    private ReservationCatalog reservationCat;
    CalendarCalculator cc;
    private RoomCatalog roomCol;
private GuestCatalog guestCol;
    public ReservationAdministration() {
        reservationCat = new ReservationCatalog();
//        roomCol = new RoomCatalog();
//        guestCol=new GuestCatalog();
    }

    public ReservationAdministration(ReservationCatalog reservationCat) {
        this.reservationCat = reservationCat;
        roomCol = new RoomCatalog();
        guestCol=new GuestCatalog();
    }

    public ReservationAdministration(RoomCatalog roomCol,GuestCatalog guestCol) {
        reservationCat = new ReservationCatalog();
        roomCol = new RoomCatalog();
        guestCol=new GuestCatalog();
        this.roomCol=roomCol;
        this.guestCol=guestCol;
    }

    public ReservationCatalog getCatalog() {
        return reservationCat;
    }

    public boolean registerReservation(String guestName, int roomNo,
                                 java.sql.Date dateFrom, java.sql.Date dateTo) {
        reservationCat.registerReservation(guestName, roomNo,dateFrom, dateTo);
        return true;
    }

    public Reservation getReservation(int reservationNo) {
        return reservationCat.getReservation(reservationNo);
    }
public int searchRoom(String type, String category,java.sql.Date to, java.sql.Date from){
    return reservationCat.searchRoom(type, category, to, from);
}
    public Reservation getReservation(String guestName,
                                             java.sql.Date reservationDate) {
        return reservationCat.getReservation(guestName, reservationDate);
    }

    public Reservation removeReservation(int reservationNo) {
        return reservationCat.removeReservation(reservationNo);
    }

    public void editReservation(String guestName, int roomNo, int reservationNo,
                            int newReservationNo, java.sql.Date reservationDate,
                                 java.sql.Date dateFrom, java.sql.Date dateTo) {
        reservationCat.editReservation(guestName, roomNo, reservationNo,
                                        newReservationNo, reservationDate,
                                        dateFrom, dateTo);
    }

    public String allReservationsData() {
        return reservationCat.allReservationsData();
    }

    public int getNumbers() {
        return reservationCat.numberOfReservations();
    }
public int getRoomNo(int resNo,String guestName){
    return reservationCat.getRoomNo(resNo,guestName);
}
    public static void main(String[] args) {
        ReservationAdministration reservationHandler = new ReservationAdministration();
        reservationHandler.registerReservation("Roshan", 105,
                                           java.sql.Date.valueOf("2009-05-07"),
                                           java.sql.Date.valueOf("2009-05-9"));
        reservationHandler.registerReservation("Dave", 106,
                                           java.sql.Date.valueOf("2009-06-07"),
                                           java.sql.Date.valueOf("2009-06-9"));
        reservationHandler.registerReservation("Sandeep", 101,
                                           java.sql.Date.valueOf("2009-05-02"),
                                           java.sql.Date.valueOf("2009-05-05"));
        reservationHandler.registerReservation("Wanling", 104,
                                           java.sql.Date.valueOf("2009-05-03"),
                                           java.sql.Date.valueOf("2009-05-06"));

        System.out.println(reservationHandler.allReservationsData());
    }
}
