/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package guest;

import Reservation.*;
import java.util.*;

/**
 *
 * @author S
 */
public class GuestCatalog {

    LinkedList<Guest> guests;

    public GuestCatalog() {
        guests = new LinkedList<Guest>();
    }

    public boolean registerGuest(int resNo,String idNo, String name, String address, int zipcode,
            String city, String country, String passportNo, int phoneNo,
            String email) {
       
        ReservationAdministration resHandler=new ReservationAdministration();
        Guest g = new Guest(idNo, name, address, zipcode, city, country,passportNo,phoneNo,
                email);
        int roomNo=resHandler.getRoomNo(resNo,name);

        g.setRoomNo(roomNo);
        guests.add(g);
        if (g.getIdNo()!=null){
           this.handleLocalGuests(idNo); 
        }
        else{
            if (idNo==null){
                this.handleForeignGuests(country, passportNo);
            }
            
        }
        
        return true;
    }

  


    public Guest getGuest(int guestNo) {
            Iterator i = guests.listIterator();
        Guest g = null;
        Guest g1 = null;
  while (i.hasNext()) {
      g=(Guest) i.next();
      int compStr=g.getGuestNo();
      String comp=String.valueOf(compStr);
      String gNumber=String.valueOf(guestNo);
      if(comp.equals(gNumber)){
          
       g=g1;   
      }
  }
     return g1;

    }
    Guest getGuest(String guestName) {
                    Iterator i = guests.listIterator();
        Guest g = null;
        Guest g1 = null;
  while (i.hasNext()) {
      g=(Guest) i.next();

      if(g.getName().equalsIgnoreCase(guestName)){

       g=g1;  
      }
  }
     return g1;
    }
    

    public boolean removeGuest(int guestNo) {
        Iterator i = guests.listIterator();
        Guest g = null;
        while (i.hasNext()) {
            g = (Guest) i.next();
            int compStr=g.getGuestNo();
      String comp=String.valueOf(compStr);
      String gNumber=String.valueOf(guestNo);
            if (comp.equals(gNumber)) {
              guests.remove(g);
            }
        }
        return true;
    }
public boolean handleForeignGuests(String country,String passportNo){
    Iterator i = guests.listIterator();
   Guest g=null;
  ForeignGuest fg=null;
    while (i.hasNext()) {
            g = (Guest) i.next();
            if(g.getPassportNo()!=null){
                g=new Guest(g.getName(),g.getAddress(),g.getZipcode(),
                        g.getCity(),country,passportNo,
                        g.getPhoneNo(),g.getEmail());
      }
            g=(ForeignGuest) fg;
}
   return true;
}
public boolean handleLocalGuests(String idNo){
    Iterator i = guests.listIterator();
   Guest g=null;
   LocalGuest lg=null;
    while (i.hasNext()) {
            g = (Guest) i.next();
            if(g.getIdNo()!=null){
                g=new Guest(idNo,g.getName(),g.getAddress(),g.getZipcode(),
                        g.getCity(),
                        g.getPhoneNo(),g.getEmail());
      }
            g=(LocalGuest) lg;
}
   return true;
}

    public String allGuestsData() {
        String s = "";
        Guest g = null;
        Iterator i = guests.listIterator();
        while(i.hasNext()){
            g = (Guest)i.next();
            s=s+g.guestData();
        }
        return s;
    }

    public int numberOfGuests() {
        return guests.size();
    }

    public static void main(String[] args) {
        GuestCatalog guestCat = new GuestCatalog();

guestCat.registerGuest(0,"7777-3132","Sandeep", " 44 købensvej", 4000,
                "Roskilde", "Denmark", null, 28967546, "Sandeep_gyan@yahoo.com");
        guestCat.registerGuest(0,null,"Jack", "46464g hyhy", 3223, "Oslo",
                            "Norway", "45553223", 2355334,
                            "Dave@hotmail.com");
       guestCat.registerGuest(0,null,"Grace", "shiyou street", 116031,
                "Dalian", "China", "1", 51167489, "don1239987@163.com");





       System.out.println(guestCat.allGuestsData());


      
                
   

       System.out.println(guestCat.allGuestsData());
 

    }

    
}

