/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Room;

/**
 *
 * @author admin
 */
public class RoomAdministration {

    private RoomCatalog roomCat;

    public RoomAdministration() {
        roomCat = new RoomCatalog();
    }

    public RoomAdministration(RoomCatalog roomCat) {
        this.roomCat = roomCat;
    }

    public RoomCatalog getCatalog() {
        return roomCat;
    }

    public boolean registerRoom(int roomNo, String type,String category,
                                String status, double price, String view) {
        roomCat.registerRoom(roomNo, type, category,status, price, view);
        return true;
    }

    public boolean addRoom(Room aRoom) {
        roomCat.addRoom(aRoom);
        return true;
    }

    public Room removeRoom(int roomNo) {
        return roomCat.removeRoom(roomNo);
    }

    public Room getRoom(String type, String category) {
        return roomCat.getRoom(type, category);
    }

    public Room getRoom(int RoomNo) {
        return roomCat.getRoom(RoomNo);
    }

    public int getNumbers() {
        return roomCat.numberOfRooms();
    }
public double calculateBill(int guestNo,int length){
    return roomCat.calculateBill(guestNo, length);
}
    public String allRoomsData() {
        return roomCat.allRoomsData();
    }

    public static void main(String[] args) {
        RoomAdministration roomHandler = new RoomAdministration();


        roomHandler.registerRoom(100, "Vip", "Single", "Available",
                                 1000, "city");
        roomHandler.registerRoom(101, "Normal", "Double","Reserved",
                                 600, "none");
        roomHandler.registerRoom(102, "Vip", "Double","Occupied", 2000, "sea");
        roomHandler.registerRoom(104, "Normal", "Family","Available",
                                 1000, "none");
        System.out.println(roomHandler.allRoomsData());

        roomHandler.registerRoom(123, "Vip", "Family", "Available", 900, "sea");
        roomHandler.registerRoom(500, "Normal", "Single", "Occupied", 500, "");
        System.out.println(roomHandler.allRoomsData());
    }
}
